## monodevelop-python 2.4

=== PyBinding/Makefile ===

EXTRA_DIST =  Makefile

# Warning: This is an automatically generated file, do not edit!

srcdir=.
top_srcdir=..

include $(top_srcdir)/config.make

ifeq ($(CONFIG),DEBUG)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ -debug "-define:DEBUG"
ASSEMBLY = ../build/PyBinding.dll
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = library
PROJECT_REFERENCES = 
BUILD_DIR = ../build

PYBINDING_DLL_MDB_SOURCE=bin/Debug/PyBinding.dll.mdb
PYBINDING_DLL_MDB=$(BUILD_DIR)/PyBinding.dll.mdb

endif

ifeq ($(CONFIG),RELEASE)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+
ASSEMBLY = ../build/PyBinding.dll
ASSEMBLY_MDB = 
COMPILE_TARGET = library
PROJECT_REFERENCES = 
BUILD_DIR = ../build

PYBINDING_DLL_MDB=

endif

AL=al2
SATELLITE_ASSEMBLY_NAME=.resources.dll

PROGRAMFILES = \
	$(PYBINDING_DLL_MDB)  

LINUX_PKGCONFIG = \
	$(PYBINDING_PC)  


RESGEN=resgen2

INSTALL_DIR = $(DESTDIR)$(prefix)/lib/monodevelop/AddIns/PyBinding

PYBINDING_PC = $(BUILD_DIR)/monodevelop-pybinding.pc

FILES =  \
	AssemblyInfo.cs \
	gtk-gui/generated.cs \
	gtk-gui/PyBinding.Gui.PythonOptionsWidget.cs \
	PyBinding.Compiler/IPythonCompiler.cs \
	PyBinding.Compiler/Python25Compiler.cs \
	PyBinding.Gui.Navigation/AttributeNodeBuilder.cs \
	PyBinding.Gui.Navigation/ClassNodeBuilder.cs \
	PyBinding.Gui.Navigation/FunctionNodeBuilder.cs \
	PyBinding.Gui.Navigation/PackageNodeBuilder.cs \
	PyBinding.Gui.Navigation/PackagesNodeBuilder.cs \
	PyBinding.Gui.Navigation/ProjectNodeBuilderExtension.cs \
	PyBinding.Gui/PythonEditorCompletion.cs \
	PyBinding.Gui/PythonEditorIndentation.cs \
	PyBinding.Gui/PythonEditorOutline.cs \
	PyBinding.Gui/PythonOptionsPanel.cs \
	PyBinding.Gui/PythonOptionsWidget.cs \
	PyBinding.Parser.Dom/PythonArgument.cs \
	PyBinding.Parser.Dom/PythonAttribute.cs \
	PyBinding.Parser.Dom/PythonClass.cs \
	PyBinding.Parser.Dom/PythonComment.cs \
	PyBinding.Parser.Dom/PythonCompilationUnit.cs \
	PyBinding.Parser.Dom/PythonFunction.cs \
	PyBinding.Parser.Dom/PythonImport.cs \
	PyBinding.Parser.Dom/PythonLocal.cs \
	PyBinding.Parser.Dom/PythonModule.cs \
	PyBinding.Parser.Dom/PythonNode.cs \
	PyBinding.Parser.Dom/PythonParsedDocument.cs \
	PyBinding.Parser/ParserDatabase.cs \
	PyBinding.Parser/ParserItem.cs \
	PyBinding.Parser/ParserManager.cs \
	PyBinding.Parser/PythonExpressionFinder.cs \
	PyBinding.Parser/PythonParser.cs \
	PyBinding.Parser/PythonParserInternal.cs \
	PyBinding.Parser/PythonResolver.cs \
	PyBinding.Runtime/AbstractPythonRuntime.cs \
	PyBinding.Runtime/IPythonRuntime.cs \
	PyBinding.Runtime/Python25Runtime.cs \
	PyBinding.Runtime/Python26Runtime.cs \
	PyBinding/PythonConfiguration.cs \
	PyBinding/PythonExecutionCommand.cs \
	PyBinding/PythonExecutionHandler.cs \
	PyBinding/PythonHelper.cs \
	PyBinding/PythonLanguageBinding.cs \
	PyBinding/PythonProject.cs \
	PyBinding/PythonProjectBinding.cs \
	PyBinding/PythonSite.cs 

DATA_FILES = 

RESOURCES =  \
	gtk-gui/gui.stetic \
	PyBinding.addin.xml \
	Resources/BasicScriptPySourceFile.xft.xml \
	Resources/completion.py \
	Resources/EmptyDjangoProject.xpt.xml \
	Resources/EmptyPyProject.xpt.xml \
	Resources/EmptyPySourceFile.xft.xml \
	Resources/PyClutterProject.xpt.xml \
	Resources/PyGtkProject.xpt.xml \
	Resources/py-icon-32.png \
	Resources/PythonStylePolicy.xml \
	Resources/Schema.sql \
	Resources/text-x-pysrc.16x16.png 

EXTRAS = \
	monodevelop-pybinding.pc.in 

REFERENCES =  \
	Mono.Data.Sqlite \
	Mono.Posix \
	-pkg:glib-sharp-2.0 \
	-pkg:gtk-sharp-2.0 \
	-pkg:mono-addins \
	-pkg:monodevelop \
	-pkg:monodevelop-core-addins \
	System \
	System.Core \
	System.Data \
	System.Xml

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) $(LINUX_PKGCONFIG) 

#Targets
all: $(ASSEMBLY) $(PROGRAMFILES) $(LINUX_PKGCONFIG)  $(top_srcdir)/config.make

include $(top_srcdir)/Makefile.include
#include $(srcdir)/custom-hooks.make



$(eval $(call emit-deploy-wrapper,PYBINDING_PC,monodevelop-pybinding.pc))


$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'


LOCAL_PKGCONFIG=PKG_CONFIG_PATH=../../../local-config:$$PKG_CONFIG_PATH


$(ASSEMBLY) $(ASSEMBLY_MDB): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	make pre-all-local-hook prefix=$(prefix)
	mkdir -p $(shell dirname $(ASSEMBLY))
	make $(CONFIG)_BeforeBuild
	$(LOCAL_PKGCONFIG) $(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
	make $(CONFIG)_AfterBuild
	make post-all-local-hook prefix=$(prefix)

install-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-install-local-hook prefix=$(prefix)
	mkdir -p $(INSTALL_DIR)
	$(call cp,$(ASSEMBLY),$(INSTALL_DIR))
	$(call cp,$(ASSEMBLY_MDB),$(INSTALL_DIR))
	mkdir -p '$(DESTDIR)$(libdir)/pkgconfig'
	$(call cp,$(PYBINDING_PC),$(DESTDIR)$(libdir)/pkgconfig)
	$(call cp,$(PYBINDING_DLL_MDB),$(INSTALL_DIR))
	make post-install-local-hook prefix=$(prefix)

uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-uninstall-local-hook prefix=$(prefix)
	$(call rm,$(ASSEMBLY),$(INSTALL_DIR))
	$(call rm,$(ASSEMBLY_MDB),$(INSTALL_DIR))
	$(call rm,$(PYBINDING_PC),$(DESTDIR)$(libdir)/pkgconfig)
	$(call rm,$(PYBINDING_DLL_MDB),$(INSTALL_DIR))
	make post-uninstall-local-hook prefix=$(prefix)

install: install-local
uninstall: uninstall-local
clean: clean-local

include $(top_srcdir)/rules.make

## monodevelop-python 2.5.92

=== Makefile ===

EXTRA_DIST =  rules.make configure Makefile.include

all: all-recursive

top_srcdir=.
include $(top_srcdir)/config.make
include $(top_srcdir)/Makefile.include
include $(top_srcdir)/rules.make

#include $(top_srcdir)/custom-hooks.make

#Warning: This is an automatically generated file, do not edit!
ifeq ($(CONFIG),DEBUG)
 SUBDIRS =  PyBinding
endif
ifeq ($(CONFIG),RELEASE)
 SUBDIRS =  PyBinding
endif


CONFIG_MAKE=$(top_srcdir)/config.make

%-recursive: $(CONFIG_MAKE)
	@set . $$MAKEFLAGS; final_exit=:; \
	case $$2 in --unix) shift ;; esac; \
	case $$2 in *=*) dk="exit 1" ;; *k*) dk=: ;; *) dk="exit 1" ;; esac; \
	make pre-$*-hook prefix=$(prefix) ; \
	for dir in $(call quote_each,$(SUBDIRS)); do \
		case "$$dir" in \
		.) make $*-local || { final_exit="exit 1"; $$dk; };;\
		*) (cd "$$dir" && make $*) || { final_exit="exit 1"; $$dk; };;\
		esac \
	done; \
	make post-$*-hook prefix=$(prefix) ; \
	$$final_exit

$(CONFIG_MAKE):
	echo "You must run configure first"
	exit 1

clean: clean-recursive
install: install-recursive
uninstall: uninstall-recursive

dist: $(CONFIG_MAKE)
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	make pre-dist-hook distdir=$$distdir
	for dir in $(call quote_each,$(SUBDIRS)); do \
		pkgdir=`pwd`/$(PACKAGE)-$(VERSION); \
		mkdir "$$pkgdir/$$dir" || true; \
		case $$dir in \
		.) make dist-local "distdir=$$pkgdir" || exit 1;; \
		*) (cd "$$dir"; make dist-local "distdir=$$pkgdir/$$dir") || exit 1;; \
		esac \
	done
	(make dist-local distdir=$(PACKAGE)-$(VERSION))
	make
	make post-dist-hook "distsir=$$distdir"
	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	@echo "=========================================="
	@echo "$(PACKAGE)-$(VERSION) has been packaged > $(PACKAGE)-$(VERSION).tar.gz"
	@echo "=========================================="

distcheck: dist
	(mkdir test; cd test;  \
	tar xzvf ../$(PACKAGE)-$(VERSION).tar.gz; cd $(PACKAGE)-$(VERSION); \
	./configure --prefix=$$(cd `pwd`/..; pwd); \
	make && make install && make dist);
	rm -rf test

=== PyBinding/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include $(top_srcdir)/config.make
 
 ifeq ($(CONFIG),DEBUG)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ -debug "-define:DEBUG"
 ASSEMBLY = ../build/PyBinding.dll
 ASSEMBLY_MDB = $(ASSEMBLY).mdb
@@ -23,7 +23,7 @@
 endif
 
 ifeq ($(CONFIG),RELEASE)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+
 ASSEMBLY = ../build/PyBinding.dll
 ASSEMBLY_MDB = 
@@ -90,6 +90,7 @@
 	PyBinding.Runtime/IPythonRuntime.cs \
 	PyBinding.Runtime/Python25Runtime.cs \
 	PyBinding.Runtime/Python26Runtime.cs \
+	PyBinding.Runtime/Python27Runtime.cs \
 	PyBinding/PythonConfiguration.cs \
 	PyBinding/PythonExecutionCommand.cs \
 	PyBinding/PythonExecutionHandler.cs \

=== debian/changelog ===
monodevelop-python (2.5.92-1) experimental; urgency=low

  * [430b1b5] Add a gbp.conf, so we can easily work in an Experimental branch.
  * [1e04db4] Don't repack the upstream tarball - this isn't the dark ages.
  * [773dd4d] Imported Upstream version 2.5.92
  * [9f37b97] Use DebSrc 3.0's Quilt support, rather than Quilt directly.
  * [7abc6d7] Bump expected version of MonoDevelop to 2.5.92 in autogenerated 
              dependencies.
  * [308e702] Refresh build-dependencies.
  * [d1401d9] Bump Debian Standards Version to 3.9.2.
  * [5c6876b] Remove bizarre Enhances: line.
  * [383162a] Refresh mono-csc patch.

 -- Jo Shields <directhex@apebox.org>  Tue, 28 Jun 2011 19:21:55 +0100

monodevelop-python (2.4-3) experimental; urgency=low

  * [0c96e8c] Add a gbp.conf, as we're building on a non-default branch
  * [88d56d9] Clean up rules rule, thanks to DH's --with quilt
  * [6b6e648] Play with dh_gencontrol manually to allow a mismatch
    between the version of MonoDevelop and the addins.
  * [e0ce316] Cement build-dependencies for debhelper and quilt, to
    avoid Lintian autoreject

 -- Jo Shields <directhex@apebox.org>  Thu, 23 Dec 2010 10:36:13 +0000

monodevelop-python (2.4-2) unstable; urgency=low

  * Upload to Debian Unstable.

 -- Jo Shields <directhex@apebox.org>  Mon, 13 Sep 2010 16:28:40 +0100

monodevelop-python (2.4-1) experimental; urgency=low

  * New upstream release
  * debian/source/format:
    + Force DebSrc 1.0
  * debian/control:
    + Bump MonoDevelop build-dep to 2.4
    + Don't tweak binary version dependency on MonoDevelop
  * debian/rules:
    + Stop using ../tarballs in get-orig-source rule

 -- Jo Shields <directhex@apebox.org>  Thu, 17 Jun 2010 14:02:59 +0100

monodevelop-python (2.2-3) unstable; urgency=low

  * Rebuild against MonoDevelop 2.2.2
  * debian/control:
    + Build-depend on MonoDevelop 2.2.2
    + Tweak binary dependency for MonoDevelop 2.2.2

 -- Jo Shields <directhex@apebox.org>  Fri, 11 Jun 2010 12:41:34 +0100

monodevelop-python (2.2-2) unstable; urgency=low

  * Rebuild against MonoDevelop 2.2.1
  * debian/control:
    + No-change bump to Standards 3.8.4
    + Build-depend on MonoDevelop 2.2.1
    + Tweak binary dependency for MonoDevelop 2.2.1

 -- Jo Shields <directhex@apebox.org>  Fri, 12 Feb 2010 14:06:50 +0000

monodevelop-python (2.2-1) unstable; urgency=low

  * Initial release.

 -- Jo Shields <directhex@apebox.org>  Mon, 11 Jan 2010 14:58:26 +0000

=== debian/control ===
Source: monodevelop-python
Section: devel
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: cli-common-dev (>= 0.8~),
 mono-devel (>= 2.10),
 monodevelop (>= 2.5.92),
 monodevelop-versioncontrol (>= 2.5.92),
 monodevelop-nunit (>= 2.5.92),
 libgtk2.0-cil-dev,
 libmono-addins-cil-dev
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/monodevelop-python.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/monodevelop-python.git

Package: monodevelop-python
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         monodevelop (>= ${misc:Version}),
         monodevelop (<< ${misc:Version}.),
Description: Python plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 This package enables Python language support for MonoDevelop.

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://ftp.novell.com/pub/mono/sources/monodevelop-python/monodevelop-python-([\d\.]+)\.tar\.bz2

## monodevelop-python 2.6

=== debian/changelog ===
monodevelop-python (2.6-1) experimental; urgency=low

  * [bbf3c42] Update debian/watch for Xamarin-hosted source.
  * [f8d097d] Imported Upstream version 2.6
  * [2c7497f] Bump build dependencies

 -- Jo Shields <directhex@apebox.org>  Mon, 12 Sep 2011 17:55:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.5.92),
- monodevelop-versioncontrol (>= 2.5.92),
- monodevelop-nunit (>= 2.5.92),
+ monodevelop (>= 2.6),
+ monodevelop-versioncontrol (>= 2.6),
+ monodevelop-nunit (>= 2.6),
  libgtk2.0-cil-dev,
  libmono-addins-cil-dev
 Standards-Version: 3.9.2

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/monodevelop-python/monodevelop-python-([\d\.]+)\.tar\.gz

## monodevelop-python 2.8.2

=== debian/changelog ===
monodevelop-python (2.8.2-1) experimental; urgency=low

  * [5bb250b] Switch to using bz2 from upstream, not gz.
  * [bc614e0] Imported Upstream version 2.8.2
  * [e6e9cfb] Switch dependencies to MonoDevelop 2.8.2.
  * [ebe5959] Switch build-dependencies to MonoDevelop 2.8.2.

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Nov 2011 17:51:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.6),
- monodevelop-versioncontrol (>= 2.6),
- monodevelop-nunit (>= 2.6),
+ monodevelop (>= 2.8.2),
+ monodevelop-versioncontrol (>= 2.8.2),
+ monodevelop-nunit (>= 2.8.2),
  libgtk2.0-cil-dev,
  libmono-addins-cil-dev
 Standards-Version: 3.9.2

## monodevelop-python 2.8.5

=== debian/changelog ===
monodevelop-python (2.8.5-2) unstable; urgency=low

  * [2a8ef6b] Remove gbp.conf since we're using master branch now
  * [9379f51] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 10:47:16 +0000

monodevelop-python (2.8.5-1) experimental; urgency=low

  * [f01ffb0] Imported Upstream version 2.8.5
  * [4c198cf] Bump build dependencies to MonoDevelop 2.8.5.
  * [26c2ea2] Bump binary dependencies to MonoDevelop 2.8.5.

 -- Jo Shields <directhex@apebox.org>  Mon, 19 Dec 2011 16:04:20 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.8.2),
- monodevelop-versioncontrol (>= 2.8.2),
- monodevelop-nunit (>= 2.8.2),
+ monodevelop (>= 2.8.5),
+ monodevelop-versioncontrol (>= 2.8.5),
+ monodevelop-nunit (>= 2.8.5),
  libgtk2.0-cil-dev,
  libmono-addins-cil-dev
 Standards-Version: 3.9.2

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/monodevelop-python/monodevelop-python-([\d\.]+)\.tar\.bz2

## monodevelop-python 2.8.6.3

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,6 @@
 		esac \
 	done
 	(make dist-local distdir=$(PACKAGE)-$(VERSION))
-	make
 	make post-dist-hook "distsir=$$distdir"
 	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
 	rm -rf $(PACKAGE)-$(VERSION)

=== PyBinding/Makefile ===
--- 
+++ 
@@ -88,9 +88,11 @@
 	PyBinding.Parser/PythonResolver.cs \
 	PyBinding.Runtime/AbstractPythonRuntime.cs \
 	PyBinding.Runtime/IPythonRuntime.cs \
+	PyBinding.Runtime/IronPythonRuntime.cs \
 	PyBinding.Runtime/Python25Runtime.cs \
 	PyBinding.Runtime/Python26Runtime.cs \
 	PyBinding.Runtime/Python27Runtime.cs \
+	PyBinding/IronPythonExecutionHandler.cs \
 	PyBinding/PythonConfiguration.cs \
 	PyBinding/PythonExecutionCommand.cs \
 	PyBinding/PythonExecutionHandler.cs \

=== debian/changelog ===
monodevelop-python (2.8.6.3-1) unstable; urgency=low

  * [ff0b2e4] Imported Upstream version 2.8.6.3
  * [57c7787] Bump Monodevelop version requirements to 2.8.6.3

 -- Jo Shields <directhex@apebox.org>  Sun, 05 Feb 2012 11:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.8.5),
- monodevelop-versioncontrol (>= 2.8.5),
- monodevelop-nunit (>= 2.8.5),
+ monodevelop (>= 2.8.6.3),
+ monodevelop-versioncontrol (>= 2.8.6.3),
+ monodevelop-nunit (>= 2.8.6.3),
  libgtk2.0-cil-dev,
  libmono-addins-cil-dev
 Standards-Version: 3.9.2
